## NAME

           pscoupe - Plot cross-sections of focal mechanisms.

## SYNOPSIS

           pscoupe   files  -Jparameters  -Rwest/east/south/north  -Aparameters  [
           -Btickinfo ] [ -Ffill ] [ -Gfill ] [ -H ] [ -K ] [ -L[pen] ] [-M] [  -N
           ] [ -O ] [ -P ] [-S<symbol><scale>[/d] ] [ -s<symbol><size>[/d] ] [ -Tn
           ] [ -U[label] ] [ -V ] [ -Wpen ] [ -Xx-shift ] [ -Yy-shift ] [  -Z<cpt>
           ] [ -a[<size>/[P_symbol>/[T_symbol]]] ] [ -gfill ] [ -efill ] [ -ppen ]
           [ -tpen ] [ -: ] [ -c#copies ]

## DESCRIPTION

           pscoupe reads data values from files [or standard input] and  generates
           PostScript  code  that will plot symbols, lines or polygons on a cross-
           section.  Focal mechanisms may  be  specified  and  require  additional
           columns of data.  The PostScript code is written to standard output.

           files  list one or more file-names. If no files are given, pscoupe will
           read standard input.

           A new file is created with the new coordinates (x, y) and the mechanism
           (from  lower  focal  half-sphere  for  horizontal plane, to half-sphere
           behind a vertical plane).  When the plane is not  horizontal,  -  north
           direction becomes upwards steepest descent direction of the plane (u) -
           east direction becomes strike direction of the plane (s) - down  direc-
           tion (= north^east) becomes u^s
           Axis  angles  are defined in the same way as in horizontal plane in the
           new system.
           Moment tensor (initially in r, t, f system that is up, south, east)  is
           defined  in  (-u^s,  -u,  s) system.  A  file is created with extracted
           events.

           -J     Selects the map projection. Scale is  UNIT/degree,  1:xxxxx,  or
                  width  in  UNIT  (upper case modifier).  UNIT is cm, inch, or m,
                  depending on the MEASURE_UNIT setting in .gmtdefaults4, but this
                  can be overridden on the command line by appending c, i, or m to
                  the scale/width value.  For map height, max  dimension,  or  min
                  dimension, append h, +, or - to the width, respectively.

                  CYLINDRICAL PROJECTIONS:

                  -Jclon0/lat0/scale (Cassini)
                  -Jjlon0/scale (Miller)
                  -Jmscale (Mercator - Greenwich and Equator as origin)
                  -Jmlon0/lat0/scale (Mercator - Give meridian and standard paral-
                  lel)
                  -Joalon0/lat0/azimuth/scale  (Oblique  Mercator  -   point   and
                  azimuth)
                  -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
                  -Joclon0/lat0/lonp/latp/scale  (Oblique  Mercator  -  point  and
                  pole)
                  -Jqlon0/scale (Equidistant Cylindrical  Projection  (Plate  Car-
                  ree))
                  -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)

                  CONIC PROJECTIONS:

                  -Jblon0/lat0/lat1/lat2/scale (Albers)
                  -Jdlon0/lat0/lat1/lat2/scale (Equidistant)
                  -Jllon0/lat0/lat1/lat2/scale (Lambert)

                  MISCELLANEOUS PROJECTIONS:

                  -Jhlon0/scale (Hammer)
                  -Jilon0/scale (Sinusoidal)
                  -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
                  -Jnlon0/scale (Robinson)
                  -Jrlon0/scale (Winkel Tripel)
                  -Jvlon0/scale (Van der Grinten)
                  -Jwlon0/scale (Mollweide)

                  NON-GEOGRAPHICAL PROJECTIONS:

                  -Jp[a]scale[/origin]  (polar  (theta,r)  coordinates, optional a
                  for azimuths and offset theta [0])
                  -Jxx-scale[l|ppow][/y-scale[l|ppow]][d] (Linear, log, and  power
                  scaling)
                  More details can be found in the psbasemap man pages.

           -R     xmin,  xmax,  ymin, and ymax specify the Region of interest. For
                  geographic regions,  these  limits  correspond  to  west,  east,
                  south,  and north and you may specify them in decimal degrees or
                  in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r  if  lower  left
                  and  upper  right map coordinates are given instead of wesn. The
                  two shorthands  -Rg  -Rd  stand  for  global  domain  (0/360  or
                  -180/+180  in longitude respectively, with -90/+90 in latitude).
                  For calendar time coordinates you may either give relative  time
                  (relative  to  the  selected  TIME_EPOCH  and  in  the  selected
                  TIME_UNIT; append t to -JX|x), or  absolute  time  of  the  form
                  [date]T[clock]  (append  T  to  -JX|x). At least one of date and
                  clock must be present; the T is always required. The date string
                  must  be  of  the form [-]yyyy[-mm[-dd]] (Gregorian calendar) or
                  yyyy[-Www[-d]] (ISO week calendar), while the clock string  must
                  be  of  the form hh:mm:ss[.xxx]. The use of delimiters and their
                  type and positions must be as indicated  (however,  input/output
                  and  plotting  formats  are flexible).  If frame is defined from
                  cross-section parameters (see -A) this option is not taken  into
                  account, but must be present.

           -A selects the cross-section.
                  -Aalon1/lat1/lon2/lat2/dip/p_width/dmin/dmax[f]
                  lon  and  lat  are  the longitude and latitude of points 1 and 2
                  limiting the length ot the cross-section.
                  dip is the dip of the plane on which the cross-section is  made.
                  p_width is the width of the cross-section on each side of a ver-
                  tical plane or above and under an oblique plane.
                  dmin and dmax are the distances  min  and  max  from  horizontal
                  plane, along steepest descent direction.
                  Add f to get the frame from the cross-section parameters.

           -S     selects the meaning of the columns in the data file and the fig-
                  ure to be plotted.

           -Sascale[/fontsize[/offset[u]]]
                  Focal  mechanisms  in Aki and Richard convention.  scale adjusts
                  the scaling of the radius of the "beach  ball",  which  will  be
                  proportional  to the magnitude. The scale is the size for magni-
                  tude = 5 in MEASURE_UNIT (unless c, i, m, or p  is  appended  to
                  indicate  that  the  size information is in units of cm, inches,
                  meters, or points, respectively). Use the -T  option  to  render
                  the  beach ball transparent by drawing only the nodal planes and
                  the circumference. The color or shade of the  compressive  quad-
                  rants can be specified with the -G option. The color or shade of
                  the extensive quadrants can be specified  with  the  -E  option.
                  Parameters are expected to be in the following columns:

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4,5,6: strike, dip and rake

           7:     magnitude

           8,9:   not used; can be 0 0; allows use of the psmeca file format

           10:    text  string  to  appear above the beach ball (default) or under
                  (add u).

           -Scscale
                  Focal mechanisms in Harvard CMT convention.  scale  adjusts  the
                  scaling of the radius of the "beach ball", which will be propor-
                  tional to the magnitude. The scale is the size for magnitude = 5
                  (that  is M0 = 4E+23 dynes-cm.) in MEASURE_UNIT (unless c, i, m,
                  or p is appended to indicate that the  size  information  is  in
                  units  of  cm, inches, meters, or points, respectively). Use the
                  -T option to render the beach ball transparent by  drawing  only
                  the  nodal  planes  and the circumference. The color or shade of
                  the compressive quadrants can be specified with the  -G  option.
                  The  color  or shade of the extensive quadrants can be specified
                  with the -E option.  Parameters are expected to be in  the  fol-
                  lowing columns:

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4,5,6: strike, dip, and slip of plane 1

           7,8,9: strike, dip, and slip of plane 2

           10,11: mantissa and exponent of moment in dyne-cm (if magnitude is uses
                  instead of scalar moment, magnitude is in column 10 and  0  must
                  will be proportional to the magnitude. The scale is the size for
                  magnitude  = 5 in MEASURE_UNIT (unless c, i, m, or p is appended
                  to indicate that the size information is in units of cm, inches,
                  meters, or points, respectively). The color or shade of the com-
                  pressive quadrants can be specified  with  the  -G  option.  The
                  color  or shade of the extensive quadrants can be specified with
                  the -E option.  Parameters are expected to be in  the  following
                  columns:

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth

           4,5:   strike, dip of plane 1

           6:     strike of plane 2

           7:     must be -1/+1 for a normal/inverse fault

           8:     magnitude

           9,10:  not used; can be 0 0; allows use of the psmeca file format

           11:    text  string  to  appear above the beach ball (default) or under
                  (add u).

           -Smscale[/fontsize[/offset[u]]] Seismic moment tensor.
                  scale adjusts the scaling of the radius  of  the  "beach  ball",
                  which  will  be  proportional to the magnitude. The scale is the
                  size for magnitude = 5 (that is seismic scalar  moment  =  4E+23
                  dynes-cm)  in  MEASURE_UNIT (unless c, i, m, or p is appended to
                  indicate that the size information is in units  of  cm,  inches,
                  meters,  or  points,  respectively).   (-T0 option overlays best
                  double  couple  transparently.)   Put   -Sdscale[/fontsize[/off-
                  set[u]]]  to  plot the only double couple part of moment tensor.
                  Put -Szscale[/fontsize[/offset[u]]] to plot anisotropic part  of
                  moment  tensor  (zero trace). The color or shade of the compres-
                  sive quadrants can be specified with the -G option. The color or
                  shade  of  the  extensive quadrants can be specified with the -E
                  option.  Parameters are expected to be in the following columns:

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4,5,6,7,8,9:
                  mrr, mtt, mff, mrt, mrf, mtf in 10*exponent dynes-cm

           10:    exponent

           11,12: Not used; can be 0 0; allows use of the psmeca file format

           13:    Text  string  to  appear above the beach ball (default) or under
                  (add u).
                  Put -Stscale[/fontsize[/offset[u]]] to plot anisotropic part  of
                  moment  tensor  (zero trace). The color or shade of the compres-
                  sive quadrants can be specified with the -G option. The color or
                  shade  of  the  extensive quadrants can be specified with the -E
                  option.  Parameters are expected to be in the following columns:

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4,5,6,7,8,9,10,11,12:
                  value  (in  10*exponent  dynes-cm), azimuth, plunge of the T, N,
                  and P axes.

           13:    exponent

           14,15: longitude, latitude at which to place  beach  ball.  Entries  in
                  these  columns  are  necessary  with the -C option. Using 0,0 in
                  columns 9 and 10 will plot the beach ball at the longitude, lat-
                  itude  given  in columns 1 and 2. The -: option will interchange
                  the order of columns (1,2) and (9,10).

           16:    Text string to appear above the beach ball (optional).

           -ssymbol[size[/fontsize[/offset[u]]]
                  selects a symbol instead of mechanism.  Choose from the  follow-
                  ing:  (c)  circle,  (d)  diamond, (i) itriangle, (s) square, (t)
                  triangle, (x) cross.  size is the symbol  size  in  MEASURE_UNIT
                  (unless  c,  i,  m,  or  p is appended to indicate that the size
                  information is in  units  of  cm,  inches,  meters,  or  points,
                  respectively).  If size must be read, it must be in column 4 and
                  the text string will start in column 5.  Parameters are expected
                  to be in the following columns:

           1,2:   longitude, latitude of event (-: option interchanges order)

           3:     depth of event in kilometers

           4:     Text  string  to  appear above the beach ball (default) or under
                  (add u).

## OPTIONS

           No space between the option flag and the associated arguments.

           -B     Sets map boundary annotation and  tickmark  intervals;  see  the
                  psbasemap man page for all the details.

           -Efill Selects  filling of extensive quadrants. Usually white.  Set the
                  shade (0-255) or color (r/g/b) [Default is 255/255/255].

           -Gfill selects filling of focal mechanisms. By convention, the
                  compressional quadrants are shaded. Set  the  shade  (0-255)  or
                  color  (r/g/b)  [Default  is  0/0/0].  Optionally, specify -Gpi-
                  con_size/pattern, where pattern gives the number  of  the  image

           -K     More PostScript code will be appended later [Default  terminates
                  the plot system].

           -L[pen]
                  Draws  the  "beach  ball"  outline using current pen (see -W) or
                  sets pen attributes.

           -M     Same size for any magnitude.

           -N     Does NOT skip symbols that  fall  outside  map  border  [Default
                  plots points inside border only].

           -O     Selects  Overlay  plot mode [Default initializes a new plot sys-
                  tem].

           -P     Selects Portrait plotting mode [GMT Default  is  Landscape,  see
                  gmtdefaults to change this].

           -T[num_of_planes]
                  Plots  the  nodal planes and outlines the bubble which is trans-
                  parent.  If num_of_planes is
                        0: both nodal planes are plotted;
                        1: only the first nodal plane is plotted;
                        2: only the second nodal plane is plotted [Default: 0].

           -U     Draw Unix System time stamp on plot. User may specify where  the
                  lower  left corner of the stamp should fall on the page relative
                  to lower left corner of plot. Optionally, append a label,  or  c
                  (which  will  plot  the  command  string.).  The  GMT parameters
                  UNIX_TIME and UNIX_TIME_POS can affect the appearance;  see  the
                  gmtdefaults man page for details.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -W     set pen attributes for text string or default pen attributes for
                  fault  plane edges. [Defaults: width = 1, color = 0/0/0, texture
                  = solid].

           -X -Y  Shift origin of plot by (x-shift,y-shift).  Prepend a for  abso-
                  lute  coordinates; the default (r) will reset plot origin.  Give
                  c to center plot using current page size.

           -Zcptfile
                  Give a color palette file and  let  compressive  part  color  be
                  determined by the z-value in the third column.

           -a[size/[P_axis_symbol/[T_axis_symbol]]]
                  Computes and plots P and T axes with symbols. Optionally specify
                  size and (separate) P and T axis symbols from the following: (c)
                  circle,   (d)   diamond,  (h)  hexagon,  (i)  inverse  triangle,
                  (p)point,  (s)  square,  (t)  triangle,  (x)  cross.  [Defaults:
                  0.2c/c/c or 0.08i/c/c.]

           -efill Selects  filling  of  T  axis  symbol.  Set the shade (0-255) or
                  attributes.

           -:     Toggles  between  (longitude,latitude)  and (latitude,longitude)
                  input and/or output. [Default is (longitude,latitude)].   Append
                  i  to  select  input  only  or o to select output only. [Default
                  affects both].

           -c     Specifies the number of plot copies. [Default is 1].

## SEE ALSO

           gmt(GMTMANSECTION),  psbasemap(GMTMANSECTION),   psmeca(GMTMANSECTION),
           psxy(GMTMANSECTION)

## REFERENCES

           Bomford, G., Geodesy, 4th ed., Oxford University Press, 1980.
           Aki, K. and P. Richards, Quantitative Seismology, Freeman, 1980.
           F.  A. Dahlen and Jeoren Trom, Theoretical Seismology, Princeton, 1998,
           p.167.  Definition of scalar moment.
           Cliff Frohlich, Cliff’s Nodes Concerning Plotting Nodal Lines for P, Sh
           and Sv
           Seismological  Research Letters, Volume 67, Number 1, January-February,
           1996
           Thorne Lay, Terry C. Wallace, Modern Global Seismology, Academic Press,
           1995, p.384.
           W.H.  Press,  S.A. Teukolsky, W.T. Vetterling, B.P. Flannery, Numerical
           Recipes in C, Cambridge University press (routine jacobi)

## AUTHOR

           Genevieve Patau
           CNRS UMR 7580
           Seismology Dept.
           Institut de Physique du Globe de Paris
           (patau@ipgp.jussieu.fr)

    GMT4.0                            1 Oct 2004            PSCOUPE(GMTMANSECTION)